#ifndef _NJB_PLAYLIST_H_
#define _NJB_PLAYLIST_H_


extern playlist_t *playlist_new(void);
extern void playlist_destroy(playlist_t * pl);
extern void playlist_addtrack(playlist_t * pl, playlist_track_t * track,
			      unsigned int pos);
#define NJB_PL_END	0
#define NJB_PL_START	1
extern void playlist_reset_gettrack(playlist_t * pl);
extern playlist_track_t *playlist_gettrack(playlist_t * pl);
extern int playlist_set_name(playlist_t * pl, const char *name);
extern void playlist_deltrack(playlist_t * pl, unsigned int pos);
extern playlist_t *playlist_unpack(void *data, size_t nbytes);
extern playlist_track_t *playlist_track_new(u_int32_t trackid);
extern void playlist_track_destroy(playlist_track_t * pl);

#endif
